Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 2505933008: [compiler] Ensure code unsupported by Crankshaft goes to Ignition. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 months ago by rmcilroy
Modified:
8 months, 3 weeks ago
CC:
v8-reviews_googlegroups.com, petermarshall
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[compiler] Ensure code unsupported by Crankshaft goes to Ignition. BUG=v8:4280, v8:5657 Committed: https://crrev.com/5f5300a61bfe51bb1ef9b5ca8709db38ce81b37d Cr-Commit-Position: refs/heads/master@{#41209}

Patch Set 1 #

Patch Set 2 : Update FunctionTester #

Total comments: 1

Patch Set 3 : Update name to must_use_ignition_turbo #

Patch Set 4 : Rebase #

Patch Set 5 : Fix issues with --always-opt and FunctionTester #

Patch Set 6 : cctests now pass #

Patch Set 7 : Fix always-opt and asm->wasm #

Patch Set 8 : Disable two failing tests #

Total comments: 8

Patch Set 9 : Rebase and fix inlining issue with ShouldUseIgnition code. #

Patch Set 10 : Address comments #

Patch Set 11 : Fix GetBaselineCode #

Unified diffs Side-by-side diffs Delta from patch set Stats (+91 lines, -92 lines) Patch
M src/ast/ast.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M src/ast/ast-numbering.cc View 1 2 3 11 chunks +20 lines, -18 lines 0 comments Download
M src/compiler.cc View 1 2 3 4 5 6 7 8 9 10 11 chunks +40 lines, -43 lines 0 comments Download
M src/crankshaft/hydrogen.cc View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M src/full-codegen/full-codegen.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -0 lines 0 comments Download
M src/objects.h View 1 2 3 4 5 6 7 8 2 chunks +5 lines, -3 lines 0 comments Download
M src/objects-inl.h View 1 2 3 1 chunk +2 lines, -2 lines 0 comments Download
M src/runtime/runtime-test.cc View 1 2 3 4 5 6 7 8 9 1 chunk +6 lines, -0 lines 0 comments Download
M test/cctest/cctest.status View 1 2 3 4 5 6 7 3 chunks +2 lines, -21 lines 0 comments Download
M test/cctest/compiler/function-tester.cc View 1 2 3 4 5 6 1 chunk +3 lines, -1 line 0 comments Download
M test/cctest/test-api.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M test/cctest/test-cpu-profiler.cc View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M test/debugger/debugger.status View 1 2 3 4 5 6 7 8 1 chunk +7 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 75 (58 generated)
rmcilroy
Michi - this ensures that anything that can't be Crankshafted will go through the new ...
9 months ago (2016-11-18 11:43:27 UTC) #4
rmcilroy
ccing Peter since Michi mentioned you are wanting to deprecate super support from FCG. Once ...
9 months ago (2016-11-18 11:46:19 UTC) #5
Michael Starzinger
I am fine with this approach. Please wait with landing this until my removal for ...
9 months ago (2016-11-18 12:09:54 UTC) #8
Michael Starzinger
On 2016/11/18 11:43:27, rmcilroy wrote: > Michi - this ensures that anything that can't be ...
9 months ago (2016-11-18 12:12:24 UTC) #9
rmcilroy
On 2016/11/18 12:12:24, Michael Starzinger wrote: > On 2016/11/18 11:43:27, rmcilroy wrote: > > Michi ...
9 months ago (2016-11-18 15:29:23 UTC) #10
rmcilroy
Rebased to include generator CL and renamed flag. Michi PTAL
8 months, 4 weeks ago (2016-11-21 14:06:30 UTC) #12
Michael Starzinger
LGTM. Thanks!
8 months, 4 weeks ago (2016-11-21 14:16:10 UTC) #13
rmcilroy
bmeurer@chromium.org: Please review changes in crankshaft/ Thanks.
8 months, 4 weeks ago (2016-11-21 14:18:33 UTC) #17
rmcilroy
Michi: some fixes were required to FunctionTester and for always-opt. Please take a look at ...
8 months, 4 weeks ago (2016-11-21 16:57:35 UTC) #28
rmcilroy
On 2016/11/21 16:57:35, rmcilroy wrote: > Michi: some fixes were required to FunctionTester and for ...
8 months, 4 weeks ago (2016-11-21 17:41:38 UTC) #35
Benedikt Meurer
LGTM, thanks.
8 months, 3 weeks ago (2016-11-22 05:45:15 UTC) #44
rmcilroy
Updated to fix tests. The issue was that on --always-opt, we hadn't always parsed the ...
8 months, 3 weeks ago (2016-11-22 14:03:44 UTC) #53
Michael Starzinger
LGTM on the latest iteration as well. A couple of new comments though. https://codereview.chromium.org/2505933008/diff/180001/src/compiler.cc File ...
8 months, 3 weeks ago (2016-11-22 14:53:51 UTC) #56
rmcilroy
https://codereview.chromium.org/2505933008/diff/180001/src/compiler.cc File src/compiler.cc (right): https://codereview.chromium.org/2505933008/diff/180001/src/compiler.cc#newcode1710 src/compiler.cc:1710: function->shared()->is_compiled()) { On 2016/11/22 14:53:50, Michael Starzinger wrote: > ...
8 months, 3 weeks ago (2016-11-22 17:24:02 UTC) #59
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2505933008/240001
8 months, 3 weeks ago (2016-11-23 09:01:49 UTC) #70
commit-bot: I haz the power
Committed patchset #11 (id:240001)
8 months, 3 weeks ago (2016-11-23 09:30:19 UTC) #73
commit-bot: I haz the power
8 months, 3 weeks ago (2016-11-23 09:30:43 UTC) #75
Message was sent while issue was closed.
Patchset 11 (id:??) landed as
https://crrev.com/5f5300a61bfe51bb1ef9b5ca8709db38ce81b37d
Cr-Commit-Position: refs/heads/master@{#41209}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b